AWS IoT Device SDK C++ v2: Aws::Iotshadow::DeleteShadowResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::DeleteShadowResponse Class Referencefinal

`#include <DeleteShadowResponse.h>`

## Public Member Functions
| DeleteShadowResponse ()=default
| DeleteShadowResponse (const Crt::JsonView &doc)
DeleteShadowResponse & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< int32_t > | Version
Aws::Crt::Optional< Aws::Crt::String > | ClientToken
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp

## Detailed Description

Response payload to a DeleteShadow request.

## Constructor & Destructor Documentation

## ◆ DeleteShadowResponse() [1/2]

Aws::Iotshadow::DeleteShadowResponse::DeleteShadowResponse | ( |  | ) |
| default

## ◆ DeleteShadowResponse() [2/2]

Aws::Iotshadow::DeleteShadowResponse::DeleteShadowResponse | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

DeleteShadowResponse & Aws::Iotshadow::DeleteShadowResponse::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::DeleteShadowResponse::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::DeleteShadowResponse::ClientToken

A client token used to correlate requests and responses.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotshadow::DeleteShadowResponse::Timestamp

The time the response was generated by AWS IoT.

## ◆ Version

Aws::Crt::Optional<int32_t> Aws::Iotshadow::DeleteShadowResponse::Version

The current version of the document for the device's shadow.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/DeleteShadowResponse.h
- shadow/source/DeleteShadowResponse.cpp